ONVIF::Device::Elements::GetServicesResponse(3)

NAME
ONVIF::Device::Elements::GetServicesResponse

DESCRIPTION
Perl data type class for the XML Schema defined element GetServicesResponse from the namespace http://www.onvif.org/ver10/device/wsdl.

PROPERTIES
The following properties may be accessed using get_PROPERTY / set_PROPERTY methods:

•   Service

     $element->set_Service($data);
     $element->get_Service();

METHODS

  new
 my $element = ONVIF::Device::Elements::GetServicesResponse->new($data);

Constructor. The following data structure may be passed to new():

 {
   Service =>  { # ONVIF::Device::Types::Service
     Namespace =>  $some_value, # anyURI
     XAddr =>  $some_value, # anyURI
     Capabilities =>  {
     },
     Version =>  { # ONVIF::Device::Types::OnvifVersion
       Major =>  $some_value, # int
       Minor =>  $some_value, # int
     },
   },
 },

AUTHOR
Generated by SOAP::WSDL